# uip_stats Struct Reference
[The uIP TCP/IP stack]

`#include <uip.h>`

## Data Fields
struct {
uip_stats_t drop
uip_stats_t recv
uip_stats_t sent
uip_stats_t vhlerr
uip_stats_t hblenerr
uip_stats_t lblenerr
uip_stats_t fragerr
uip_stats_t chkerr
uip_stats_t protoerr
} | ip
struct {
uip_stats_t drop
uip_stats_t recv
uip_stats_t sent
uip_stats_t typeerr
} | icmp
struct {
uip_stats_t drop
uip_stats_t recv
uip_stats_t sent
uip_stats_t chkerr
uip_stats_t ackerr
uip_stats_t rst
uip_stats_t rexmit
uip_stats_t syndrop
uip_stats_t synrst
} | tcp

## Detailed Description

The structure holding the TCP/IP statistics that are gathered if UIP_STATISTICS is set to 1.

## Field Documentation

uip_stats_t uip_stats::ackerr

Number of TCP segments with a bad ACK number.

uip_stats_t uip_stats::chkerr

Number of packets dropped due to IP checksum errors.

Number of TCP segments with a bad checksum.

uip_stats_t uip_stats::drop

Number of dropped packets at the IP layer.

Number of dropped ICMP packets.

Number of dropped TCP segments.

uip_stats_t uip_stats::fragerr

Number of packets dropped since they were IP fragments.

uip_stats_t uip_stats::hblenerr

Number of packets dropped due to wrong IP length, high byte.

struct { ... } uip_stats::icmp

ICMP statistics.

struct { ... } uip_stats::ip

IP statistics.

uip_stats_t uip_stats::lblenerr

Number of packets dropped due to wrong IP length, low byte.

uip_stats_t uip_stats::protoerr

Number of packets dropped since they were neither ICMP, UDP nor TCP.

uip_stats_t uip_stats::recv

Number of received packets at the IP layer.

Number of received ICMP packets.

Number of recived TCP segments.

uip_stats_t uip_stats::rexmit

Number of retransmitted TCP segments.

uip_stats_t uip_stats::rst

Number of recevied TCP RST (reset) segments.

uip_stats_t uip_stats::sent

Number of sent packets at the IP layer.

Number of sent ICMP packets.

Number of sent TCP segments.

uip_stats_t uip_stats::syndrop

Number of dropped SYNs due to too few connections was avaliable.

uip_stats_t uip_stats::synrst

Number of SYNs for closed ports, triggering a RST.

struct { ... } uip_stats::tcp

TCP statistics.

uip_stats_t uip_stats::typeerr

Number of ICMP packets with a wrong type.

uip_stats_t uip_stats::vhlerr

Number of packets dropped due to wrong IP version or header length.

The documentation for this struct was generated from the following file:

- modules/uip/uip/uip.h